<?php
if(!isset($_SESSION)) 
{ 
session_start(); 
} 
if(!isset($_SESSION['is_login']) ){
header("location: login.php");
?>
<script>
window.location="login.php";
</script>
<?php
}

// $permission  = explode(',',$_SESSION['permission_id']);
// if(!in_array(19,$permission) && !in_array(1,$permission)  ){

// $op['is_success'] = false;
// $op['data'] 	  = "عذرا انت غير مخول للوصل الى هذه الصفحة";
// echo json_encode($op);
// exit;

// }

date_default_timezone_set($_SESSION['SYSTimezone']);

	$Validator = array('is_success'=>false, 'data'=>array());
if (isset($_POST['type']) || isset($_GET['type'])){
		require_once "db_connect.php";

		if( isset($_GET['type']) && ($_GET['type'] == "load")){

			$cond = isset($_GET['typ'])? ' AND S.customer_type='.$_GET['typ']:'';

			// DB table to use
			$table  =  '(
				SELECT
					saleman_id,
					saleman_full_name,
					saleman_email,
					saleman_phone,
					saleman_phone2,
					saleman_address,
					saleman_job_title,
					city_id_fk
					
				FROM
					saleman S
					
					
				WHERE
					( S.is_deleted = 0 '.$cond.' ) 
			) AS ALLTBL';
			// Table's primary key
			$primaryKey = 'saleman_id';
			$columns =  array(
				  			  	array( 'db' => 'saleman_id', 'dt' => 0 ),
			    				array( 'db' => 'saleman_full_name', 'dt' => 1 ),
			    				array( 'db' => 'saleman_email',  'dt' => 2 ),
			    				array( 'db' => 'saleman_phone',   'dt' => 3 ),
								array( 'db' => 'saleman_address',   'dt' => 4 ),
								array( 'db' => 'saleman_job_title',   'dt' => 5 ),
								// array( 'db' => 'allowed_max_money',   'dt' => 6 ,  ),
								// array( 'db' => 'profile_name',   'dt' => 7 ),
								array( 'db' => 'saleman_phone2',   'dt' => 6 ),
								array( 'db' => 'city_id_fk',   'dt' => 7 ),
								// array( 'db' => 'price_profile_id_fk',   'dt' => 8 ),

			);
			// SQL server connection information
			$sql_details = array(
			    'user' => $mysql_user,
			    'pass' => $mysql_password,
			    'db'   => $mysql_db,
			    'host' => $mysql_server
			);
			require( 'ssp.php' );
			echo json_encode(
			    SSP::complex( $_GET, $sql_details, $table, $primaryKey, $columns ,null, '' )
			);
			exit;
		}

		if ($_POST['type']=="get") {

			//$user_id = $_POST['cusid'];

			$res = $db->query("SELECT * FROM saleman WHERE is_deleted = 0");
			if ($res) {
				$op  = array();
				while ($row = $res->fetch_assoc()) {
				    // do what you need.
						$result[0] = $row['saleman_id'];
						$result[1] = $row['saleman_full_name'];
						$result[2] = $row['saleman_phone'];
						$result[3] = $row['saleman_email'];
						
						
						
						array_push($op,$result);
				}
				echo json_encode($op);
				exit;
			}else{
				echo 0;
				exit;
			}
		}

		if ($_POST['type']=="get_Saleman") {

			// $cust_typ = $_POST['cust_typ'];

			$res = $db->query("SELECT * FROM saleman WHERE is_deleted = 0 ");
			if ($res) {
				$op  = array();
				while ($row = $res->fetch_assoc()) {
				    // do what you need.
						$result[0] = $row['saleman_id'];
						$result[1] = $row['saleman_full_name'];
						$result[2] = $row['saleman_phone'];
						$result[3] = $row['saleman_email'];
						
						array_push($op,$result);
				}
				echo json_encode($op);
				exit;
			}else{
				echo 0;
				exit;
			}
		}

		

		

		if ($_POST['type'] == "update") {

			$id 				= $_POST['obj_id'];
			$customer_full_name	=addslashes($_POST["customer_full_name"]);
            $customer_email		=addslashes($_POST["customer_email"]);
            $customer_phone		=addslashes($_POST["customer_phone"]);
            $customer_phone2	=addslashes($_POST["customer_phone2"]);
            $customer_address	=addslashes($_POST["customer_address"]);
            $customer_job_title	=addslashes($_POST["customer_job_title"]);
            // $price_profile_id_fk=addslashes($_POST["price_profile_id_fk"]);
            // $customer_type		=addslashes($_POST["customer_type"]);
            // $customer_company	=addslashes($_POST["customer_company"]);
            // $allowed_max_money	=addslashes($_POST["allowed_max_money"]);
			

			$reg_date = date("Y-m-d h:i:s", time());
			
			$lastaction = "Update Customer";

			$res = $db->query("SELECT * FROM saleman WHERE saleman_full_name = '$customer_full_name' AND saleman_id != $id");
			if (mysqli_num_rows($res)>0) {
				$error= "خطأ الاسم مكرر";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}

			$update_qry = "UPDATE saleman SET  saleman_full_name = '$customer_full_name',
											 	saleman_phone='$customer_phone', 
											 	saleman_phone2='$customer_phone2',
											 	saleman_address='$customer_address', 
											 	saleman_email='$customer_email', 
											 	saleman_job_title='$customer_job_title',
											 	
											 	
											 	updated_at='$reg_date',
											 	last_action='$lastaction',
											 	last_action_by='".$_SESSION['user_id']."' 
								WHERE saleman_id = $id";


			$res = $db->query($update_qry);
			if ($res) {
				$error= "تمت عملية التحديث بنجاح";
				$State=true;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
			else{
				$error= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
		}


		if ($_POST['type']=="delete") {
			$id=addslashes($_POST["obj_id"]);
			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Delete saleman";

			$res = $db->query("SELECT * FROM invoice WHERE saleman_id_fk = '$id' AND is_deleted=0");
			if (mysqli_num_rows($res)>0) {
				
				echo "لا يمكن حذف هذا المندوب فلديه وصولات بيع باسمه";
				exit;
			}

	      	$res = $db->query("UPDATE saleman SET is_deleted = 1 ,deleted_at = '$reg_date',last_action='$lastaction',last_action_by='".$_SESSION['user_id']."' WHERE saleman_id=$id");
	     	if ($res){
	     		echo 1;
	     		exit;
	     	}
	      	else{
		      	echo "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
		      	exit;
	     	}
		}

		if ($_POST['type'] == "create") {
            
            $customer_full_name	=addslashes($_POST["customer_full_name"]);
            $customer_email		=addslashes($_POST["customer_email"]);
            $customer_phone		=addslashes($_POST["customer_phone"]);
            $customer_phone2	=addslashes($_POST["customer_phone2"]);
            $customer_address	=addslashes($_POST["customer_address"]);
            $customer_job_title	=addslashes($_POST["customer_job_title"]);
            // $price_profile_id_fk=addslashes($_POST["price_profile_id_fk"]);
            // $customer_company	=addslashes($_POST["customer_company"]);
            // $allowed_max_money	=addslashes($_POST["allowed_max_money"]);
			
			$res = $db->query("SELECT * FROM saleman WHERE saleman_full_name = '$customer_full_name' AND is_deleted=0");

			if (mysqli_num_rows($res)>0) {
				$error= "خطأ الاسم مكرر";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
							
			$delete = 0;
			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Create New Saleman";

			$sql ="INSERT INTO saleman (saleman_full_name,
										saleman_email,
										saleman_phone,
										saleman_phone2,
										saleman_address,
										saleman_job_title,
										
										created_by,
										created_at,
										updated_at,
										last_action,
										last_action_by)
								VALUES('$customer_full_name',
									   '$customer_email',
									   '$customer_phone',
									   '$customer_phone2',
									   '$customer_address',
									   '$customer_job_title',
									  
									   '".$_SESSION['user_id']."',
									   '$reg_date',
									   '$reg_date',
									   '$lastaction',
									   '".$_SESSION['user_id']."')";

			$res = $db->query($sql);
			if ($res) {
				$error= "تمت عملية الاضافة بنجاح";
				$State=true;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}else{
				$error= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
						

		}
	}
	else{
		header("Location:../");
		exit;
	}
?>

